
/**
 * A front-end class to display and update a ClockView object.
 */
public class Clock
{
    /**
     * This method is the entry point when the user invokes the program.
     * @param args Any command-line arguments supplied during invocation.
     */
    public static void main (String args[])
    {
        ClockView cv = new ClockView();
        cv.setVisible (true);

        // loop about every 0.5 seconds
        try
        {
            for (;;)
            {
                cv.refreshTimeDisplay ();
                Thread.sleep (500);
            }
        }
        catch (Exception e)
        {
            System.out.println("Error:" + e);
        }
    }
}
